# osgProducer::OsgSceneHandler Class Reference

List of all members.

## Public Member Functions

| OsgSceneHandler (osg::DisplaySettings *ds=NULL)
void | setSceneView (osgUtil::SceneView *sceneView)
| set the scene view to which will manage rendering of the OSG scene.
osgUtil::SceneView * | getSceneView ()
| get the scene view.
const osgUtil::SceneView * | getSceneView () const
| get the const scene view.
virtual void | init ()
| override the init method to force it be run one at a time.
virtual void | clear (Producer::Camera &camera)
virtual void | clearImplementation (Producer::Camera &camera)
void | setClearCallback (Callback *callback)
Callback * | getClearCallback ()
const Callback * | getClearCallback () const
virtual void | cull (Producer::Camera &camera)
virtual void | cullImplementation (Producer::Camera &camera)
void | setCullCallback (Callback *callback)
Callback * | getCullCallback ()
const Callback * | getCullCallback () const
virtual void | draw (Producer::Camera &camera)
virtual void | drawImplementation (Producer::Camera &camera)
void | setDrawCallback (Callback *callback)
Callback * | getDrawCallback ()
const Callback * | getDrawCallback () const
void | setContextID (int id)

## Protected Member Functions

virtual | ~OsgSceneHandler ()

## Protected Attributes

osg::ref_ptr< osgUtil::SceneView > | _sceneView
osg::ref_ptr< Callback > | _clearCallback
osg::ref_ptr< Callback > | _cullCallback
osg::ref_ptr< Callback > | _drawCallback
osg::Timer_t | _frameStartTick
osg::Timer_t | _previousFrameStartTick

## Classes

class | Callback

## Constructor & Destructor Documentation

OsgSceneHandler::OsgSceneHandler | ( | osg::DisplaySettings * | ds = `NULL` | ) |

virtual osgProducer::OsgSceneHandler::~OsgSceneHandler | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual void osgProducer::OsgSceneHandler::clear | ( | Producer::Camera & | camera | ) | `[inline, virtual]`

void OsgSceneHandler::clearImplementation | ( | Producer::Camera & | camera | ) | `[virtual]`

virtual void osgProducer::OsgSceneHandler::cull | ( | Producer::Camera & | camera | ) | `[inline, virtual]`

void OsgSceneHandler::cullImplementation | ( | Producer::Camera & | camera | ) | `[virtual]`

virtual void osgProducer::OsgSceneHandler::draw | ( | Producer::Camera & | camera | ) | `[inline, virtual]`

void OsgSceneHandler::drawImplementation | ( | Producer::Camera & | camera | ) | `[virtual]`

const Callback* osgProducer::OsgSceneHandler::getClearCallback | ( |  | ) | const`[inline]`

Callback* osgProducer::OsgSceneHandler::getClearCallback | ( |  | ) | `[inline]`

const Callback* osgProducer::OsgSceneHandler::getCullCallback | ( |  | ) | const`[inline]`

Callback* osgProducer::OsgSceneHandler::getCullCallback | ( |  | ) | `[inline]`

const Callback* osgProducer::OsgSceneHandler::getDrawCallback | ( |  | ) | const`[inline]`

Callback* osgProducer::OsgSceneHandler::getDrawCallback | ( |  | ) | `[inline]`

const osgUtil::SceneView* osgProducer::OsgSceneHandler::getSceneView | ( |  | ) | const`[inline]`

| get the const scene view.

osgUtil::SceneView* osgProducer::OsgSceneHandler::getSceneView | ( |  | ) | `[inline]`

| get the scene view.

void OsgSceneHandler::init | ( |  | ) | `[virtual]`

| override the init method to force it be run one at a time.

void osgProducer::OsgSceneHandler::setClearCallback | ( | Callback * | callback | ) | `[inline]`

void OsgSceneHandler::setContextID | ( | int | id | ) |

void osgProducer::OsgSceneHandler::setCullCallback | ( | Callback * | callback | ) | `[inline]`

void osgProducer::OsgSceneHandler::setDrawCallback | ( | Callback * | callback | ) | `[inline]`

void osgProducer::OsgSceneHandler::setSceneView | ( | osgUtil::SceneView * | sceneView | ) | `[inline]`

| set the scene view to which will manage rendering of the OSG scene.

## Member Data Documentation

osg::ref_ptr<Callback> osgProducer::OsgSceneHandler::_clearCallback `[protected]`

osg::ref_ptr<Callback> osgProducer::OsgSceneHandler::_cullCallback `[protected]`

osg::ref_ptr<Callback> osgProducer::OsgSceneHandler::_drawCallback `[protected]`

osg::Timer_t osgProducer::OsgSceneHandler::_frameStartTick `[protected]`

osg::Timer_t osgProducer::OsgSceneHandler::_previousFrameStartTick `[protected]`

osg::ref_ptr<osgUtil::SceneView> osgProducer::OsgSceneHandler::_sceneView `[protected]`

The documentation for this class was generated from the following files:

- OsgSceneHandler
- OsgSceneHandler.cpp